<?php

use App\Http\Controllers\ClientController;
use Illuminate\Support\Facades\Route;

Route::get('/client',         [ClientController::class, 'index'])->middleware('permission:config.client,view');
Route::post('/client',        [ClientController::class, 'store'])->middleware('permission:config.client,add');
Route::get('/client/{id}',    [ClientController::class, 'show'])->middleware('permission:config.client,view');
Route::put('/client/{id}',    [ClientController::class, 'update'])->middleware('permission:config.client,edit');
Route::delete('/client/{id}', [ClientController::class, 'destroy'])->middleware('permission:config.client,delete');